Qt 5.6 | Qt 3D | C++ Classes | QKeyboardController

Qt 5.6.3 Reference Documentation

# QKeyboardController Class

(Qt3DInput::QKeyboardController)

Header: | #include <QKeyboardController>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | KeyboardController
Inherits: | Qt3DInput::QAbstractPhysicalDevice

- List of all members, including inherited members

## Properties

- activeInput : Qt3DInput::QKeyboardInput * const

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QKeyboardController(QNode *parent = Q_NULLPTR)
| ~QKeyboardController()
QKeyboardInput * | activeInput() const

## Reimplemented Public Functions

virtual int | axisCount() const
virtual int | axisIdentifier(const QString &name) const
virtual QStringList | axisNames() const
virtual int | buttonCount() const
virtual int | buttonIdentifier(const QString &name) const
virtual QStringList | buttonNames() const

- 9 public functions inherited from Qt3DInput::QAbstractPhysicalDevice
- 6 public functions inherited from Qt3DCore::QNode

## Signals

void | activeInputChanged(QKeyboardInput *activeInput)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)

- 1 protected function inherited from Qt3DInput::QAbstractPhysicalDevice
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 public slots inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

## Property Documentation

### activeInput : Qt3DInput::QKeyboardInput * const

Access functions:

QKeyboardInput * | activeInput() const

Notifier signal:

void | activeInputChanged(QKeyboardInput *activeInput)

## Member Function Documentation

### QKeyboardController::QKeyboardController(QNode *parent = Q_NULLPTR)

Default constructs an instance of QKeyboardController.

### QKeyboardController::~QKeyboardController()

Destroys the instance of QKeyboardController.

### `[virtual]` int QKeyboardController::axisCount() const

### `[virtual]` int QKeyboardController::axisIdentifier(const QString &name) const

### `[virtual]` QStringList QKeyboardController::axisNames() const

### `[virtual]` int QKeyboardController::buttonCount() const

### `[virtual]` int QKeyboardController::buttonIdentifier(const QString &name) const

### `[virtual]` QStringList QKeyboardController::buttonNames() const

### `[protected]` void QKeyboardController::sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)